## audiocd-kio 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(audiocd VERSION "5.1.0")

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.3.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)

include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(CMakePushCheckState)
include(GenerateExportHeader)
include(CheckStructHasMember)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Widgets)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Config
    I18n
    DocTools
    KIO
    KCMUtils
    WidgetsAddons
)
find_package(KCompactDisc6)
set_package_properties(KCompactDisc6 PROPERTIES
    DESCRIPTION "KCompactDisc library"
    URL "https://commits.kde.org/libkcompactdisc"
    TYPE REQUIRED
    PURPOSE "libkcompactdisc is used to access CD drives."
)
find_package(KCddb6 5.1)
set_package_properties(KCddb6 PROPERTIES
    DESCRIPTION "Library used to retrieve audio CD metadata from the Internet"
    URL "https://commits.kde.org/libkcddb"
    TYPE REQUIRED
    PURPOSE "libkcddb is used to retrieve audio CD meta data from the internet."
)

find_package(Cdparanoia REQUIRED)

cmake_push_check_state()
set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${CDPARANOIA_INCLUDE_DIR})
check_struct_has_member("struct cdrom_drive" "ioctl_device_name" "cdda_interface.h" CDDA_IOCTL_DEVICE_EXISTS)
cmake_pop_check_state()
if(CDDA_IOCTL_DEVICE_EXISTS)
    set(HAVE_CDDA_IOCTL_DEVICE 1)
else()
    set(HAVE_CDDA_IOCTL_DEVICE 0)
endif()
execute_process(
    COMMAND sed -e "s|cdda_private_data_t \\*private;|cdda_private_data_t \\*private_data;|g"
    # The next line should be removed if strerror_tr will be used somewhere
    COMMAND sed -e "/static\ char/,/}\;/d"
    INPUT_FILE ${CDPARANOIA_INCLUDE_DIR}/cdda_interface.h
    OUTPUT_FILE ${CMAKE_CURRENT_BINARY_DIR}/cdda_interface.hpp
    RESULT_VARIABLE CDDA_INTERFACE_EDIT_ERROR
)
if (CDDA_INTERFACE_EDIT_ERROR)
    message(STATUS "Fixing cdda_interface.h for C++ failed with exit code ${CDDA_INTERFACE_EDIT_ERROR}")
endif()

configure_file(config-audiocd.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-audiocd.h)

#############################
ecm_set_disabled_deprecation_versions(QT 6.7
    KF 6.4.0
    )
add_subdirectory(plugins)
add_subdirectory(kcmaudiocd)
add_subdirectory(data)
add_subdirectory(doc)

add_library(kio_audiocd MODULE)
target_sources(kio_audiocd PRIVATE
    audiocd.cpp audiocd.h
)

ecm_qt_declare_logging_category(kio_audiocd
    HEADER audiocd_kio_debug.h
    IDENTIFIER AUDIOCD_KIO_LOG
    CATEGORY_NAME kf.kio.workers.audiocd
    OLD_CATEGORY_NAMES kf5.kio.audiocd kf.kio.slaves.audiocd
    DEFAULT_SEVERITY Warning
    DESCRIPTION "audiocd KIO worker"
    EXPORT AUDIOCD
)

set_target_properties(kio_audiocd PROPERTIES OUTPUT_NAME "audiocd")

target_link_libraries(kio_audiocd
    audiocdplugins
    KCompactDisc6
    KF6::I18n
    Qt::Widgets
    Cdparanoia::Cdparanoia
)

install(TARGETS kio_audiocd  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kio)

ecm_qt_install_logging_categories(
    EXPORT AUDIOCD
    FILE kio_audiocd.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ki18n_install(po)
kdoctools_install(po)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== data/CMakeLists.txt ===
install(FILES
  audiocd.desktop
  DESTINATION ${KDE_INSTALL_DATADIR}/konqsidebartng/virtual_folders/services)

install(FILES
  solid_audiocd.desktop
  DESTINATION ${KDE_INSTALL_DATADIR}/solid/actions)

install(FILES
  org.kde.kio_audiocd.metainfo.xml
  DESTINATION ${KDE_INSTALL_METAINFODIR})

=== plugins/opus/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"audiocd_encoder_opus\")

add_library(audiocd_encoder_opus SHARED)

target_sources(audiocd_encoder_opus PRIVATE
    encoderopus.cpp encoderopus.h
)

ki18n_wrap_ui(audiocd_encoder_opus encoderopusconfig.ui)

kconfig_add_kcfg_files(audiocd_encoder_opus audiocd_opus_encoder.kcfgc)

target_include_directories(audiocd_encoder_opus
    PRIVATE
        ${CMAKE_BINARY_DIR}
)

target_link_libraries(audiocd_encoder_opus
    audiocdplugins
    KF6::I18n
    Qt::Widgets
    KCddb6
)

install(TARGETS audiocd_encoder_opus  DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES audiocd_opus_encoder.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR})

=== debian/changelog ===
audiocd-kio (4:24.12.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for flac.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Mar 2025 22:35:31 -0500

audiocd-kio (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:34:23 +0000

audiocd-kio (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:09:38 +0000

=== debian/control ===
Source: audiocd-kio
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libasound2-dev,
               libcdparanoia-dev,
               libflac-dev,
               libkcddb6-dev (>= 4:24.12.3~),
               libkcompactdisc-dev (>= 4:24.12.3~),
               libkf6config-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kcmutils-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libogg-dev,
               libvorbis-dev,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio

Package: kio-audiocd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: lame,
            systemsettings,
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocd KIO plugin, which allows applications using
 the KDE Platform to read audio from CDs and automatically convert it into other
 formats.
 .
 This package is part of the KDE multimedia module.

Package: kio-audiocd-dev
Section: devel
Architecture: any
Depends: kio-audiocd (= ${binary:Version}),
         ${misc:Depends},
Description: development files for the audio CD KIO plugin
 This package contains development files for building plugins for the audio CD
 KIO plugin.
 .
 This package is part of the KDE multimedia module.

## audiocd-kio 25.04.0

=== debian/changelog ===
audiocd-kio (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.
  * Remove inactive uploaders.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:24:40 +0200

## audiocd-kio 25.04.2

=== debian/changelog ===
audiocd-kio (4:25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Fix label of "Open Audio CD with File Manager" action. (kde#503314)
  * New upstream release (25.04.2).
    - Translation updates.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jun 2025 15:22:25 +0200

## audiocd-kio 25.04.3

=== debian/changelog ===
audiocd-kio (4:25.04.3-0ubuntu0~tux1) noble; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Mon, 01 Sep 2025 22:49:29 +0200

=== debian/control ===
Source: audiocd-kio
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libasound2-dev,
               libcdparanoia-dev,
               libflac-dev,
               libkcddb6-dev (>= 4:5.1~),
               libkcompactdisc-dev (>= 4:24.08.2-1~),
               libkf6config-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kcmutils-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libogg-dev,
               libvorbis-dev,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/multimedia/audiocd-kio
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/audiocd-kio
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/audiocd-kio.git

Package: kio-audiocd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: lame, systemsettings,
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocd KIO plugin, which allows applications using
 the KDE Platform to read audio from CDs and automatically convert it into other
 formats.
 .
 This package is part of the KDE multimedia module.

Package: kio-audiocd-dev
Section: devel
Architecture: any
Depends: kio-audiocd (= ${binary:Version}),
         libkcddb6-dev (>= 4:5.1~),
         libkf6kio-dev (>= 6.3.0~),
         qt6-base-dev (>= 6.5.0~),
         ${misc:Depends},
Description: development files for the audio CD KIO plugin
 This package contains development files for building plugins for the audio CD
 KIO plugin.
 .
 This package is part of the KDE multimedia module.

## audiocd-kio 25.07.80

=== debian/changelog ===
audiocd-kio (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:01:20 +0100

audiocd-kio (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:34:19 +0100

audiocd-kio (4:25.04.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump KDE gear build deps to current version.

 -- Rik Mills <rikmills@kde.org>  Sat, 07 Jun 2025 11:38:47 +0100

audiocd-kio (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:35:55 +0100

audiocd-kio (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:59:22 +0100

audiocd-kio (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:39:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: audiocd-kio
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.3.0~),
                gettext,
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:5.1~),
-               libkcompactdisc-dev (>= 4:24.08.2-1~),
+               libkcddb6-dev (>= 4:25.07.80~),
+               libkcompactdisc-dev (>= 4:25.07.80~),
                libkf6config-dev (>= 6.3.0~),
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
@@ -27,8 +28,8 @@
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/audiocd-kio
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/audiocd-kio
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/audiocd-kio.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio
 
 Package: kio-audiocd
 Architecture: any
@@ -45,7 +46,7 @@
 Section: devel
 Architecture: any
 Depends: kio-audiocd (= ${binary:Version}),
-         libkcddb6-dev (>= 4:5.1~),
+         libkcddb6-dev (>= 4:25.07.80~),
          libkf6kio-dev (>= 6.3.0~),
          qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},

## audiocd-kio 25.07.90

=== debian/changelog ===
audiocd-kio (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:26:05 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:25.07.80~),
-               libkcompactdisc-dev (>= 4:25.07.80~),
+               libkcddb6-dev (>= 4:25.07.90~),
+               libkcompactdisc-dev (>= 4:25.07.90~),
                libkf6config-dev (>= 6.3.0~),
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
@@ -46,7 +46,7 @@
 Section: devel
 Architecture: any
 Depends: kio-audiocd (= ${binary:Version}),
-         libkcddb6-dev (>= 4:25.07.80~),
+         libkcddb6-dev (>= 4:25.07.90~),
          libkf6kio-dev (>= 6.3.0~),
          qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},

## audiocd-kio 25.08.0

=== debian/changelog ===
audiocd-kio (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:47:51 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:25.07.90~),
-               libkcompactdisc-dev (>= 4:25.07.90~),
+               libkcddb6-dev (>= 4:25.08.0~),
+               libkcompactdisc-dev (>= 4:25.08.0~),
                libkf6config-dev (>= 6.3.0~),
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
@@ -46,7 +46,7 @@
 Section: devel
 Architecture: any
 Depends: kio-audiocd (= ${binary:Version}),
-         libkcddb6-dev (>= 4:25.07.90~),
+         libkcddb6-dev (>= 4:25.08.0~),
          libkf6kio-dev (>= 6.3.0~),
          qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},

## audiocd-kio 25.08.1

=== kcmaudiocd/doc/CMakeLists.txt ===
########### install files ###############
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol/audiocd)

=== plugins/flac/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"audiocd_encoder_flac\")

add_library(audiocd_encoder_flac SHARED)

target_sources(audiocd_encoder_flac PRIVATE
    encoderflac.cpp encoderflac.h
)

ki18n_wrap_ui(audiocd_encoder_flac encoderflacconfig.ui)

kconfig_add_kcfg_files(audiocd_encoder_flac audiocd_flac_encoder.kcfgc)

target_include_directories(audiocd_encoder_flac
    PRIVATE
        ${CMAKE_BINARY_DIR}
)

target_link_libraries(audiocd_encoder_flac 
    audiocdplugins
    KF6::I18n
    Qt::Widgets
    FLAC::FLAC
)

install(TARGETS audiocd_encoder_flac  DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES audiocd_flac_encoder.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== plugins/wav/CMakeLists.txt ===
add_library(audiocd_encoder_wav SHARED)

target_sources(audiocd_encoder_wav PRIVATE
    encoderwav.cpp
    encodercda.cpp
    encoderwav.h
    encodercda.h
)

target_include_directories(audiocd_encoder_wav
    PRIVATE
        ${CMAKE_BINARY_DIR}
)

target_link_libraries(audiocd_encoder_wav 
    audiocdplugins 
)

install(TARGETS audiocd_encoder_wav  DESTINATION ${KDE_INSTALL_PLUGINDIR})

=== debian/changelog ===
audiocd-kio (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:04:20 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:25.08.0~),
-               libkcompactdisc-dev (>= 4:25.08.0~),
+               libkcddb6-dev (>= 4:25.08.1~),
+               libkcompactdisc-dev (>= 4:25.08.1~),
                libkf6config-dev (>= 6.3.0~),
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
@@ -46,7 +46,7 @@
 Section: devel
 Architecture: any
 Depends: kio-audiocd (= ${binary:Version}),
-         libkcddb6-dev (>= 4:25.08.0~),
+         libkcddb6-dev (>= 4:25.08.1~),
          libkf6kio-dev (>= 6.3.0~),
          qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},

## audiocd-kio 25.08.1+p24.04+vstable+git20250930.0546

=== debian/changelog ===
audiocd-kio (4:25.08.1+p24.04+vstable+git20250930.0546-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:46:07 +0000

audiocd-kio (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:17:13 +0000

audiocd-kio (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:51:23 +0000

audiocd-kio (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:31:59 +0000

audiocd-kio (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:47:09 +0000

audiocd-kio (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:38:25 +0000

audiocd-kio (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:22:37 +0000

audiocd-kio (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:50:24 +0000

audiocd-kio (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:53:40 +0000

audiocd-kio (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:45:20 +0000

audiocd-kio (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:42:39 +0000

audiocd-kio (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:43:30 +0000

audiocd-kio (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:15:18 +0000

audiocd-kio (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:53:54 +0000

audiocd-kio (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:06:48 +0000

audiocd-kio (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:41:47 +0000

audiocd-kio (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:09:37 +0000

audiocd-kio (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:56:04 +0000

audiocd-kio (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:51:37 +0000

audiocd-kio (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:33:10 +0000

audiocd-kio (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 17:16:11 +0000

audiocd-kio (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:09:47 +0000

audiocd-kio (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 17:10:17 +0000

audiocd-kio (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:39:20 +0000

audiocd-kio (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:06:10 +0000

audiocd-kio (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:53:48 +0000

audiocd-kio (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:22:26 +0000

audiocd-kio (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 15:59:08 +0000

audiocd-kio (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:05:56 +0000

audiocd-kio (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:28:27 +0000

audiocd-kio (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:01:08 +0000

audiocd-kio (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:28:22 +0000

audiocd-kio (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:16:04 +0000

audiocd-kio (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:43:10 +0000

audiocd-kio (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:32:52 +0000

audiocd-kio (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:47:22 +0000

audiocd-kio (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:02:46 +0000

audiocd-kio (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:56:58 +0000

audiocd-kio (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:34:19 +0000

audiocd-kio (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 11:38:04 +0000

audiocd-kio (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:30:44 +0000

audiocd-kio (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:26:59 +0000

audiocd-kio (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:47:50 +0000

audiocd-kio (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:20:23 +0000

audiocd-kio (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:50:56 +0000

audiocd-kio (4:21.04.0-0neon) focal; urgency=medium



## audiocd-kio 25.08.1+p24.04+vstable+git20251001.1222

=== debian/changelog ===
audiocd-kio (4:25.08.1+p24.04+vstable+git20251001.1222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 12:22:11 +0000

## audiocd-kio 25.08.2

=== debian/changelog ===
audiocd-kio (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:37:37 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:25.08.1~),
-               libkcompactdisc-dev (>= 4:25.08.1~),
+               libkcddb6-dev (>= 4:25.08.2~),
+               libkcompactdisc-dev (>= 4:25.08.2~),
                libkf6config-dev (>= 6.3.0~),
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
@@ -46,7 +46,7 @@
 Section: devel
 Architecture: any
 Depends: kio-audiocd (= ${binary:Version}),
-         libkcddb6-dev (>= 4:25.08.1~),
+         libkcddb6-dev (>= 4:25.08.2~),
          libkf6kio-dev (>= 6.3.0~),
          qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},

## audiocd-kio 25.08.2+p24.04+vstable+git20251015.1640

=== debian/changelog ===
audiocd-kio (4:25.08.2+p24.04+vstable+git20251015.1640-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 16:40:07 +0000

audiocd-kio (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:56:50 +0000

## audiocd-kio 25.08.2+p24.04+vstable+git20251019.0614

=== debian/changelog ===
audiocd-kio (4:25.08.2+p24.04+vstable+git20251019.0614-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:14:29 +0000

## audiocd-kio 25.08.2+p24.04+vstable+git20251024.0243

=== debian/changelog ===
audiocd-kio (4:25.08.2+p24.04+vstable+git20251024.0243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 02:43:19 +0000

## audiocd-kio 25.08.2+p24.04+vstable+git20251028.0956

=== debian/changelog ===
audiocd-kio (4:25.08.2+p24.04+vstable+git20251028.0956-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:56:03 +0000

=== debian/control ===
Source: audiocd-kio
Section: kde
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kconfig-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               libasound2-dev,
               libcdparanoia-dev,
               libflac-dev,
               libkcddb6-dev,
               libkcompactdisc6-dev,
               libogg-dev,
               libvorbis-dev,
               pkg-kde-tools-neon,
               qt5-phonon-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/audiocd-kio.git
Vcs-Browser: https://invent.kde.org/neon/kde/audiocd-kio
Maintainer: Neon CI <neon@kde.org>

Package: kio-audiocd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lame
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocd KIO plugin, which allows applications using
 the KDE Platform to read audio from CDs and automatically convert it into other
 formats.
 .
 This package is part of the KDE multimedia module.

Package: kio-audiocd-dev
Section: devel
Architecture: any
Depends: kio-audiocd (= ${binary:Version}), ${misc:Depends}
Description: development files for the audio CD KIO plugin
 This package contains development files for building plugins for the audio CD
 KIO plugin.
 .
 This package is part of the KDE multimedia module.

## audiocd-kio 25.08.2+p24.04+vstable+git20251031.0831

=== debian/changelog ===
audiocd-kio (4:25.08.2+p24.04+vstable+git20251031.0831-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 08:31:36 +0000

## audiocd-kio 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,6 @@
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Config
     I18n
-    DocTools
     KIO
     KCMUtils
     WidgetsAddons
@@ -45,6 +44,11 @@
     URL "https://commits.kde.org/libkcddb"
     TYPE REQUIRED
     PURPOSE "libkcddb is used to retrieve audio CD meta data from the internet."
+)
+find_package(KF6DocTools ${KF_MIN_VERSION})
+set_package_properties(KF6DocTools PROPERTIES
+    DESCRIPTION "Tools to generate documentation"
+    TYPE OPTIONAL
 )
 
 find_package(Cdparanoia REQUIRED)
@@ -79,7 +83,6 @@
 add_subdirectory(plugins)
 add_subdirectory(kcmaudiocd)
 add_subdirectory(data)
-add_subdirectory(doc)
 
 add_library(kio_audiocd MODULE)
 target_sources(kio_audiocd PRIVATE
@@ -114,8 +117,12 @@
     DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
 )
 
+if (KF6DocTools_FOUND)
+    add_subdirectory(doc)
+    kdoctools_install(po)
+endif()
+
 ki18n_install(po)
-kdoctools_install(po)
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== plugins/vorbis/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"audiocd_encoder_vorbis\")

add_library(audiocd_encoder_vorbis SHARED)

target_sources(audiocd_encoder_vorbis PRIVATE
    encodervorbis.cpp encodervorbis.h
)

ki18n_wrap_ui(audiocd_encoder_vorbis encodervorbisconfig.ui)

kconfig_add_kcfg_files(audiocd_encoder_vorbis audiocd_vorbis_encoder.kcfgc)

target_link_libraries(audiocd_encoder_vorbis 
    OGGVORBIS::vorbis
    audiocdplugins
    KF6::I18n
    Qt::Widgets
    KCddb6
)
install(TARGETS audiocd_encoder_vorbis  DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES audiocd_vorbis_encoder.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR})

=== debian/changelog ===
audiocd-kio (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:19:51 +0000

=== debian/control ===
Source: audiocd-kio
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libasound2-dev,
               libcdparanoia-dev,
               libflac-dev,
               libkcddb6-dev (>= 4:25.08.3~),
               libkcompactdisc-dev (>= 4:25.08.3~),
               libkf6config-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kcmutils-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libogg-dev,
               libvorbis-dev,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/multimedia/audiocd-kio
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio

Package: kio-audiocd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: lame, systemsettings,
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocd KIO plugin, which allows applications using
 the KDE Platform to read audio from CDs and automatically convert it into other
 formats.
 .
 This package is part of the KDE multimedia module.

Package: kio-audiocd-dev
Section: devel
Architecture: any
Depends: kio-audiocd (= ${binary:Version}),
         libkcddb6-dev (>= 4:25.08.3~),
         libkf6kio-dev (>= 6.3.0~),
         qt6-base-dev (>= 6.5.0~),
         ${misc:Depends},
Description: development files for the audio CD KIO plugin
 This package contains development files for building plugins for the audio CD
 KIO plugin.
 .
 This package is part of the KDE multimedia module.

## audiocd-kio 25.08.3+p24.04+vunstable+git20251206.0727

=== debian/changelog ===
audiocd-kio (4:25.08.3+p24.04+vunstable+git20251206.0727-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:27:36 +0000

audiocd-kio (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:37:22 +1000

## audiocd-kio 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(audiocd VERSION "5.1.0")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
+
+project(audiocd VERSION "5.1.${RELEASE_SERVICE_COMPACT_VERSION}")
 
 set(QT_MIN_VERSION "6.5.0")
 set(KF_MIN_VERSION "6.3.0")

=== kcmaudiocd/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcmaudiocd\")

kcoreaddons_add_plugin(kcm_audiocd INSTALL_NAMESPACE "plasma/kcms/systemsettings_qwidgets")
kcmutils_generate_desktop_file(kcm_audiocd)

target_sources(kcm_audiocd PRIVATE
    kcmaudiocd.cpp kcmaudiocd.h
)

ki18n_wrap_ui(kcm_audiocd audiocdconfig.ui)

target_include_directories(kcm_audiocd
    PRIVATE
        ${CMAKE_BINARY_DIR}
)

target_link_libraries(kcm_audiocd
    audiocdplugins 
    KF6::KCMUtils
    KF6::I18n
)

########### add handbook ################

if(KF6DocTools_FOUND)
    add_subdirectory(doc)
endif()

=== debian/changelog ===
audiocd-kio (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:52:05 +0000

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:25.08.3~),
-               libkcompactdisc-dev (>= 4:25.08.3~),
+               libkcddb6-dev (>= 4:25.11.80~),
+               libkcompactdisc-dev (>= 4:25.11.80~),
                libkf6config-dev (>= 6.3.0~),
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
@@ -46,7 +46,7 @@
 Section: devel
 Architecture: any
 Depends: kio-audiocd (= ${binary:Version}),
-         libkcddb6-dev (>= 4:25.08.3~),
+         libkcddb6-dev (>= 4:25.11.80~),
          libkf6kio-dev (>= 6.3.0~),
          qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},

## audiocd-kio 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
audiocd-kio (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:57:07 +0000

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:25.11.80~),
-               libkcompactdisc-dev (>= 4:25.11.80~),
+               libkcddb6-dev (>= 4:25.11.90~),
+               libkcompactdisc-dev (>= 4:25.11.90~),
                libkf6config-dev (>= 6.3.0~),
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
@@ -46,7 +46,7 @@
 Section: devel
 Architecture: any
 Depends: kio-audiocd (= ${binary:Version}),
-         libkcddb6-dev (>= 4:25.11.80~),
+         libkcddb6-dev (>= 4:25.11.90~),
          libkf6kio-dev (>= 6.3.0~),
          qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},

## audiocd-kio 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
audiocd-kio (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:11:59 +0000

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:25.11.90~),
-               libkcompactdisc-dev (>= 4:25.11.90~),
+               libkcddb6-dev (>= 4:25.12.0~),
+               libkcompactdisc-dev (>= 4:25.12.0~),
                libkf6config-dev (>= 6.3.0~),
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
@@ -46,7 +46,7 @@
 Section: devel
 Architecture: any
 Depends: kio-audiocd (= ${binary:Version}),
-         libkcddb6-dev (>= 4:25.11.90~),
+         libkcddb6-dev (>= 4:25.12.0~),
          libkf6kio-dev (>= 6.3.0~),
          qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},

## audiocd-kio 25.12.0+p24.04+vunstable+git20251208.2215

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -36,13 +36,7 @@
     KIO
     KCMUtils
     WidgetsAddons
-)
-find_package(KCompactDisc6)
-set_package_properties(KCompactDisc6 PROPERTIES
-    DESCRIPTION "KCompactDisc library"
-    URL "https://commits.kde.org/libkcompactdisc"
-    TYPE REQUIRED
-    PURPOSE "libkcompactdisc is used to access CD drives."
+    Solid
 )
 find_package(KCddb6 5.1)
 set_package_properties(KCddb6 PROPERTIES
@@ -109,8 +103,8 @@
 
 target_link_libraries(kio_audiocd
     audiocdplugins
-    KCompactDisc6
     KF6::I18n
+    KF6::Solid
     Qt::Widgets
     Cdparanoia::Cdparanoia
 )

=== debian/changelog ===
audiocd-kio (4:25.12.0+p24.04+vunstable+git20251208.2215-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 22:15:43 +0000

audiocd-kio (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:33:19 +1000

## audiocd-kio 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -36,7 +36,13 @@
     KIO
     KCMUtils
     WidgetsAddons
-    Solid
+)
+find_package(KCompactDisc6)
+set_package_properties(KCompactDisc6 PROPERTIES
+    DESCRIPTION "KCompactDisc library"
+    URL "https://commits.kde.org/libkcompactdisc"
+    TYPE REQUIRED
+    PURPOSE "libkcompactdisc is used to access CD drives."
 )
 find_package(KCddb6 5.1)
 set_package_properties(KCddb6 PROPERTIES
@@ -103,8 +109,8 @@
 
 target_link_libraries(kio_audiocd
     audiocdplugins
+    KCompactDisc6
     KF6::I18n
-    KF6::Solid
     Qt::Widgets
     Cdparanoia::Cdparanoia
 )

=== debian/changelog ===
audiocd-kio (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:55:26 +0000

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:25.12.0~),
-               libkcompactdisc-dev (>= 4:25.12.0~),
+               libkcddb6-dev (>= 4:25.12.1~),
+               libkcompactdisc-dev (>= 4:25.12.1~),
                libkf6config-dev (>= 6.3.0~),
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
@@ -46,7 +46,7 @@
 Section: devel
 Architecture: any
 Depends: kio-audiocd (= ${binary:Version}),
-         libkcddb6-dev (>= 4:25.12.0~),
+         libkcddb6-dev (>= 4:25.12.1~),
          libkf6kio-dev (>= 6.3.0~),
          qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},

## audiocd-kio 25.12.1+p24.04+vstable+git20260130.0846

=== debian/changelog ===
audiocd-kio (4:25.12.1+p24.04+vstable+git20260130.0846-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:46:03 +0000

audiocd-kio (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:22:31 +1000

## audiocd-kio 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

=== doc/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kioworker6/audiocd)

=== kcmaudiocd/doc/CMakeLists.txt ===
########### install files ###############
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol/kcmaudiocd)

=== debian/changelog ===
audiocd-kio (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:16:19 +0000

audiocd-kio (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:28:40 +0000

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:25.12.1~),
-               libkcompactdisc-dev (>= 4:25.12.1~),
+               libkcddb6-dev (>= 4:25.12.2~),
+               libkcompactdisc-dev (>= 4:25.12.2~),
                libkf6config-dev (>= 6.3.0~),
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
@@ -46,7 +46,7 @@
 Section: devel
 Architecture: any
 Depends: kio-audiocd (= ${binary:Version}),
-         libkcddb6-dev (>= 4:25.12.1~),
+         libkcddb6-dev (>= 4:25.12.2~),
          libkf6kio-dev (>= 6.3.0~),
          qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},

## audiocd-kio 25.12.2+p24.04+vstable+git20260218.0305

=== debian/changelog ===
audiocd-kio (4:25.12.2+p24.04+vstable+git20260218.0305-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 18 Feb 2026 03:05:49 +0000

audiocd-kio (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:51:18 +0000

## audiocd-kio 25.12.2+p24.04+vstable+git20260219.0514

=== debian/changelog ===
audiocd-kio (4:25.12.2+p24.04+vstable+git20260219.0514-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 05:14:44 +0000
